/*!
 Settings from http://www.datatables.net/
 Convert this to min-Version, see https://javascript-minifier.com/
*/
$(document).ready( function () {
	$('#table_id').DataTable( {
		"paging":   true,
		"lengthChange": false,
		"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "Alle"]],
		"language": { 
			"sEmptyTable":      "Keine Daten in der Tabelle vorhanden",
			"sInfo":            "_START_ bis _END_ von _TOTAL_ Eintrgen",
			"sInfoEmpty":       "0 bis 0 von 0 Eintrgen",
			"sInfoFiltered":    "(gefiltert aus _MAX_ Eintrgen)",
			"sInfoPostFix":     "",
			"sInfoThousands":   ".",
			"sLengthMenu":      "_MENU_ Eintrge anzeigen",
			"sLoadingRecords":  "Wird geladen...",
			"sProcessing":      "Bitte warten...",
			"sSearch":          "Filter",
			"sZeroRecords":     "Keine Eintrge vorhanden.",
			"oPaginate": { 		"sFirst": "Erste", "sPrevious": "Zurck", "sNext": "Weiter", "sLast": "Letzte" 	},
			"oAria": {
				"sSortAscending":  ": aktivieren, um Spalte aufsteigend zu sortieren",
				"sSortDescending": ": aktivieren, um Spalte absteigend zu sortieren"
			}
		},
		"searching": true,
		"ordering": false,
		"info":     true
	} );
} );
