<?php

function jsdtab_arg_is_disabled ( $a ) {
	// helper-function: just check if argument contains value "no|disable|off"
	if ($a=='no' || $a=='disable' || $a=='off') { return 1; } else { return 0; }
}


function jsdtab_arg_is_enabled ( $a ) {
	// helper-function: just check if argument contains value "yes|enable|on"
	if ($a=='yes' || $a=='enable' || $a=='on') { return 1; } else { return 0; }
}


function jsdtab_get_default_dateformat ( $lang=null ) {
	// helper-function: do some layout-modificatons (how should the field 'published' appear in data-table)
	if ( empty($lang) ) {
		return ''; // default
	} else {
		switch ( $lang ) {
			case "en": return ''; // default
			case "de": return 'd.m.Y'; ;
			case "es": return 'd-m-Y';	
			case "fr": return 'd/m/Y';			
			default: return 'Y-m-d';  // deliver this result if "$lang" is set and "$lang" contains a unknown value
		}
	}
}

?>