/*!
 Settings from http://www.datatables.net/
 Convert this to min-Version, see https://javascript-minifier.com/
*/
$(document).ready( function () {
	$('#table_id').DataTable( {
		"paging":   true,
		"lengthChange": false,
		"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
		"language": { 
			"sEmptyTable":      "No data available in table",
			"sInfo":            "_START_ to _END_ of _TOTAL_ entries",
			"sInfoEmpty":       "0 to 0 of 0 entries",
			"sInfoFiltered":    "(filtered from _MAX_ entries)",
			"sInfoPostFix":     "",
			"sInfoThousands":   ".",
			"sLengthMenu":      "Show _MENU_ entries",
			"sLoadingRecords":  "Loading...",
			"sProcessing":      "Processing...",
			"sSearch":          "Search",
			"sZeroRecords":     "No matching records found.",
			"oPaginate": { 		
				"sFirst": 		"First", 
				"sPrevious": 	"Previous", 
				"sNext": 		"Next", 
				"sLast": 		"Last" 	
			},
			"oAria": {
				"sSortAscending":  ": activate to sort column ascending",
				"sSortDescending": ": activate to sort column descending"
			}
		},
		"searching": true,
		"ordering": false,
		"info":     true
	} );
} );
