/*!
 Settings from http://www.datatables.net/
 Convert this to min-Version, see https://javascript-minifier.com/
*/
$(document).ready( function () {
	$('#table_id').DataTable( {
		"paging":   true,
		"lengthChange": false,
		"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "Todos"]],
		"language": { 
			"sEmptyTable":      "Ningn dato disponible en esta tabla",
			"sInfo":            "_START_ al _END_ e un total de _TOTAL_ registros",
			"sInfoEmpty":       "0 al 0 de un total de 0 registros",
			"sInfoFiltered":    "(filtrado de un total de _MAX_ registros)",
			"sInfoPostFix":     "",
			"sInfoThousands":   ".",
			"sLengthMenu":      "Mostrar _MENU_ registros",
			"sLoadingRecords":  "Cargando...",
			"sProcessing":      "Procesando...",
			"sSearch":          "Buscar",
			"sZeroRecords":     "No se encontraron resultados.",
			"oPaginate": { 		
				"sFirst": 		"Primero", 
				"sPrevious": 	"Anterior", 
				"sNext": 		"Siguiente", 
				"sLast": 		"ltimo" 	
			},
			"oAria": {
				"sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
				"sSortDescending": ": Activar para ordenar la columna de manera descendente"
			}
		},
		"searching": true,
		"ordering": false,
		"info":     true
	} );
} );
